RecipientInformationStore (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class RecipientInformationStore

- java.lang.Object
- - org.bouncycastle.cms.RecipientInformationStore

- All Implemented Interfaces:
    java.lang.Iterable<RecipientInformation>

      public class RecipientInformationStore
      extends java.lang.Object
      implements org.bouncycastle.util.Iterable<RecipientInformation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipientInformationStore(java.util.Collection<RecipientInformation> recipientInfos)`
    `RecipientInformationStore(RecipientInformation recipientInformation)` Create a store containing a single RecipientInformation object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecipientInformation` | `get(RecipientId selector)` Return the first RecipientInformation object that matches the passed in selector.
    `java.util.Collection<RecipientInformation>` | `getRecipients()` Return all recipients in the collection
    `java.util.Collection<Recipient>` | `getRecipients(RecipientId selector)` Return possible empty collection with recipients matching the passed in RecipientId
    `java.util.Iterator<RecipientInformation>` | `iterator()` Support method for Iterable where available.
    `int` | `size()` Return the number of recipients in the collection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecipientInformationStore

          public RecipientInformationStore(RecipientInformation recipientInformation)

      Create a store containing a single RecipientInformation object.
      Parameters:
        `recipientInformation` - the signer information to contain.

    - #### RecipientInformationStore

          public RecipientInformationStore(java.util.Collection<RecipientInformation> recipientInfos)

  - ### Method Detail

    - #### get

          public RecipientInformation get(RecipientId selector)

      Return the first RecipientInformation object that matches the passed in selector. Null if there are no matches.
      Parameters:
        `selector` - to identify a recipient
      Returns:
        a single RecipientInformation object. Null if none matches.

    - #### size

          public int size()

      Return the number of recipients in the collection.
      Returns:
        number of recipients identified.

    - #### getRecipients

          public java.util.Collection<RecipientInformation> getRecipients()

      Return all recipients in the collection
      Returns:
        a collection of recipients.

    - #### getRecipients

          public java.util.Collection<Recipient> getRecipients(RecipientId selector)

      Return possible empty collection with recipients matching the passed in RecipientId
      Parameters:
        `selector` - a recipient id to select against.
      Returns:
        a collection of RecipientInformation objects.

    - #### iterator

          public java.util.Iterator<RecipientInformation> iterator()

      Support method for Iterable where available.
      Specified by:
        `iterator` in interface `java.lang.Iterable<RecipientInformation>`